--- title: "Get connector" slug: "datastream-getexport" updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/datastream-getexport" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get connector Available in VPC Get connector information. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/topics/{topicId}/connectors | ### Request headers For information about the headers common to all Data Stream APIs, see [Data Stream request headers](/docs/en/datastream-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `topicId` | String | Required | Topic ID - See [Get topic list](/docs/en/datastream-gettopic). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datastream.apigw.ntruss.com/api/v1/topics/mgNWA*****/connectors' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | String | - | Connector ID | | `topicId` | String | - | Topic ID | | `status` | String | - | Connector status - `RUNNING` \| `FAILED` - `RUNNING`: Normal operation (active) - `FAILED`: Operation error - If the bucket is deleted after setting up the connector - If you access the bucket is unavailable because access control is set on it after setting up the connector - If the bucket is set as a locked bucket after setting up the connector | | `connectorName` | String | - | Connector name | | `description` | String | - | Connector description | | `consumerSpec` | String | - | Consumer specifications (connector processing performance) - `SMALL` \| `MEDIUM` - `SMALL`: It supports up to 250 Kbytes per second per partition with a single container. - `MEDIUM`: It supports up to 500 Kbytes per second per partition with 2 containers. | | `exportType` | String | - | Connector type - `OBJECT_STORAGE` (valid value) | | `location` | String | - | Storage path | | `locationWithTopicName` | String | - | Storage path containing the topic name directory | | `objectStorageLocation` | String | - | Object Storage path | | `includeTopicInPath` | Boolean | - | Whether to create a topic name directory in the storage path - `true` \| `false` - `true`: Create - `false`: Not create | | `dateFormat` | String | - | Whether to use date formatting for sub-storage paths - `NONE` \| `YEAR` \| `MONTH` \| `DAY` \| `HOUR` - `NONE`: Not use - `YEAR`: Use year={yyyy}/ - `MONTH`: Use year={yyyy}/month={MM}/ - `DAY`: Use year={yyyy}/month={MM}/day={dd}/ - `HOUR`: Use year={yyyy}/month={MM}/day={dd}/hour={HH}/ | | `roleNrn` | String | - | Resource identification value for the role of the Data Stream service used to access the connector | | `groupId` | String | - | Connector group ID | | `createdDate` | String | - | Connector creation date and time - ISO 8601 format - `YYYY-MM-DDThh:mm:ssZ` | | `failedMessage` | String | - | If the status of the connector is `FAILED`, the reason for the failure | | `failedDate` | String | - | If the status of the connector is `FAILED`, the date and time it was changed to the Failed status | | `flushInterval` | Number | - | File creation interval when recording messages to storage (minute) - 1-10 (default: 10) | | `flushCount` | Number | - | Stored message count when recording messages to storage (count) - 5000-50,000 (default: 5000) | | `schemaType` | String | - | Message value serialization method - `STRING`,`JSON`,`AVRO`,`PROTOBUF` (default:`STRING`) | ### Response status codes For information about the HTTP status codes common to all Data Stream APIs, see [Data Stream response status codes](/docs/en/datastream-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: - Connector status: Normal ``` [ { "id": "xlThN*****", "topicId": "mgNWA*****", "status": "RUNNING", "connectorName": "connector-h4j**-ds***", "description": "", "consumerSpec": "SMALL", "exportType": "OBJECT_STORAGE", "location": "s3a://datastream***", "locationWithTopicName": "s3a://datastream***", "objectStorageLocation": "https://console.ncloud.com/objectStorage/objectStorageList?bucketName=datastream***&folderPrefix=", "includeTopicInPath": false, "dateFormat": "NONE", "roleNrn": "nrn:PUB:IAM::****:Role/********-36**-11**-a**-24****b4", "groupId": "connect-h**-ds0**", "createdDate": "2025-05-22T16:39:21Z", "flushInterval": 10, "flushCount": 5000, "schemaType": "STRING" } ] ``` - Connector status: Failed ``` [ { "id": "1c*****", "topicId": "15*****", "status": "FAILED", "connectorName": "connector-n***-c***", "description": "", "consumerSpec": "SMALL", "exportType": "OBJECT_STORAGE", "location": "s3a://stream-***", "locationWithTopicName": "s3a://stream-***/n***-c***", "objectStorageLocation": "https://console.ncloud.com/objectStorage/objectStorageList?bucketName=stream-***&folderPrefix=n***-c***", "includeTopicInPath": true, "dateFormat": "HOUR", "roleNrn": "nrn:PUB:IAM::***:Role/8733****-10**-1**-a1**-246*****c4", "groupId": "connect-n***-c***", "createdDate": "2025-07-23T14:29:57Z", "failedMessage": "Failed to access ObjectStorage: an error occurred during the connection or request.", "failedDate": "2025-07-23T14:40:26", "flushInterval": 10, "flushCount": 5000, "schemaType": "STRING" } ] ```